Linux-GPIB 4.3.7 Documentation
Prev |  | Next

# ibppc

## Name

ibppc -- parallel poll configure (board or device)

## Synopsis

    #include <gpib/ib.h>

``int ibppc`(int ud, int configuration);`

## Description

Configures the parallel poll response of the device or board specified by `ud`. The `configuration` should either be set to the 'PPD' constant to disable parallel poll responses, or set to the return value of the PPE_byte() inline function to enable and configure the parallel poll response.

If `ud` is a device descriptor then the device will be remotely configured by the controller.

If `ud` is a board descriptor then the board will be locally configured. Note, in order to do a local parallel poll configuration IbcPP2 must be set using ibconfig(). IEEE 488.2 prohibits local parallel poll configuration (IEEE 488.1 PP2 subset), requiring support for remote parallel poll configuration (IEEE 488.1 PP1 subset) instead.

After configuring the parallel poll response of devices on a bus, you may use ibrpp() to parallel poll the devices.

## Return value

The value of ibsta is returned.

Prev | Home | Next
ibpct | Up | ibrd